### Function

# Gio SrvTarget list_sort

since: 2.22

#### Declaration

    GList*
    g_srv_target_list_sort (
      GList* targets
    )

#### Description

Sorts `targets` in place according to the algorithm in RFC 2782.

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`targets`

  Type: A list of `gpointer`

  A `GList` of `GSrvTarget`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The head of the sorted list.

The caller of the function takes ownership of the data, and is responsible for freeing it.